打印

[求救]编译内核出错

[求救]编译内核出错

原来系统是redhat9 ,内核版本是2.4,下载了个2.6.12版本的内核,在最后一步make install出错,出错信息:
  CHK     include/linux/version.h
make[1]: `arch/i386/kernel/asm-offsets.s' is up to date.
  CHK     include/linux/compile.h
  CHK     usr/initramfs_list
Kernel: arch/i386/boot/bzImage is ready
sh /usr/src/linux-2.6.12/arch/i386/boot/install.sh 2.6.12 arch/i386/boot/bzImage System.map "/boot"
All of your loopback devices are in use.
mkinitrd failed
make[1]: *** [install] Error 1
make: *** [install] Error 2
请问这是什么原因?

TOP

gcc版本是3.2.2

TOP

当前内核(现在正运行着的)没有编译进loopback模块,或者loopback数量已达到上限

TOP

需要运行一下modporbe loop就可以了,
不知道why?

TOP

sorry,
modprobe loop

TOP

[quote:78b9b640e2="webycn"]需要运行一下modporbe loop就可以了[/quote]

TOP